Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote.ejb.ias
Class AmHomeImpl

`java.lang.Object
oracle.jbo.common.JboHome
oracle.jbo.client.ejb.ApplicationModuleHomeImpl
oracle.jbo.client.remote.ejb.AbstractApplicationModuleHomeImpl
oracle.jbo.client.remote.ejb.ias.AmHomeImpl`

All Implemented Interfaces:
  ApplicationModuleHome

public class AmHomeImpl
extends AbstractApplicationModuleHomeImpl

Constructor Summary
`AmHomeImpl(JboContext ctx, java.lang.String publishedName)`

Method Summary
`protected javax.ejb.EJBHome` | `getRemoteApplicationModuleHome()`

Methods inherited from class oracle.jbo.client.remote.ejb.AbstractApplicationModuleHomeImpl
`createRemoteEJBApplicationModuleProxy, lookupUsingPlatformContext`

Methods inherited from class oracle.jbo.client.ejb.ApplicationModuleHomeImpl
`create, createLocalEJBApplicationModuleProxy, getBeanHome, getBeanJndiName, lookupUsingDefaultContext`

Methods inherited from class oracle.jbo.common.JboHome
`getDefName, getEnvironment, getParentContext, setDefName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmHomeImpl

    public AmHomeImpl(JboContext ctx,
                      java.lang.String publishedName)
               throws javax.naming.NamingException

Method Detail

### getRemoteApplicationModuleHome

    protected javax.ejb.EJBHome getRemoteApplicationModuleHome()
                                                        throws javax.naming.NamingException

  Specified by:
    `getRemoteApplicationModuleHome` in class `AbstractApplicationModuleHomeImpl`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.